Retrieve order reseller information
Use this method to update the reseller information defined for a specific order.
Request parameters
Parameter
Type / Description
sessionID
Required (string) Session identifier, which is the output of the Login method. An exception will be thrown if the values are incorrect.
refNo
Required (string) The unique, system-generated identifier of a partner order.
Request sample
<?php
require ('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_SET_PARTNER'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner
$refNo = 'YOUR_ORDER_REFERENCE';
$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'getOrderReseller',
'params' => array($sessionID, $refNo)
);
var_dump (callRPC((Object)$jsonRpcRequest, $host));Errors
Error
Description
NOT_FOUND_PARTNER
Set a partner before invoking the method.
EMPTY_ORDER_REFERENCE
Order reference not provided.
INVALID_REFERENCE
Invalid order reference.
INVALID_SUBSCRIPTION_REFERENCE
No reseller defined for this order reference.
Last updated
Was this helpful?